Bug 1997929 - MachineSets list and details page headings should follow same format with other resources
Summary: MachineSets list and details page headings should follow same format with oth...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-26 05:43 UTC by Yadan Pei
Modified: 2021-10-18 17:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:49:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
MachineSet Details page (100.43 KB, image/png)
2021-08-26 05:43 UTC, Yadan Pei
no flags Details
MachineSets list page (217.39 KB, image/png)
2021-08-26 05:43 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9898 0 None None None 2021-08-26 16:55:49 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:49:25 UTC

Description Yadan Pei 2021-08-26 05:43:17 UTC
Created attachment 1817711 [details]
MachineSet Details page

Description of problem:
- Headings on MachineSets list page is using single form MachineSet
- on MachineSet details page, heading is not following CamelCase convention, it is `Machine set details`

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-08-25-111423

How reproducible:
Always

Steps to Reproduce:
1. navigate to MachineSets list page via Compute -> MachineSets
2. goes into one MachineSet details page by clicking on one MachineSet name


Actual results:
1. list page is using single form `MachineSet`
2. details page heading is `Machine set details`

Expected results:
1. list page should be plural form 'MachineSets' as other resources
2. details page heading should use `MachineSet details`

Additional info:

Comment 1 Yadan Pei 2021-08-26 05:43:52 UTC
Created attachment 1817712 [details]
MachineSets list page

Comment 2 ralpert 2021-08-26 16:38:18 UTC
Good catch! Thanks Yadan.

Comment 5 Yadan Pei 2021-08-31 07:12:18 UTC
1. MachineSets list page is showing `MachineSets`
2. MachineSet details page is showing `MachineSet details`
these headings are correct, verified on 4.9.0-0.nightly-2021-08-30-192239

Comment 8 errata-xmlrpc 2021-10-18 17:49:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.